'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _events = require('events');

var _events2 = _interopRequireDefault(_events);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let pcap = require.requireActual('pcap');

let pcapMock = jest.genMockFromModule('pcap');
pcapMock.decode = pcap.decode;

pcapMock.createSession.mockImplementation((interfaceName, filter = '') => {
  let session = new _events2.default.EventEmitter();
  session.device_name = interfaceName;
  session.filter = filter;
  session.close = jest.genMockFunction();
  return session;
});

exports.default = pcapMock;
module.exports = exports['default'];